Docs

List reports

Returns a paginated list of reports.

GET /reports

Returns a paginated list of reports. Use the query parameters to page through results.

By default, Paddle returns reports that are pending or ready. Use the status query parameter to return reports that are failed, expired, or deleted.

Requires report.read permission.

Query parameters

afterstring
Return entities after the specified Paddle ID when working with paginated endpoints. Used in the meta.pagination.next URL in responses for list operations.
per_pageinteger
Default: 50

Set how many entities are returned per page. Paddle returns the maximum number of results if a number greater than the maximum is requested. Check meta.pagination.per_page in the response to see how many were returned.

Default: 50; Maximum: 200.

Max: 200
order_bystring
Default: id[DESC]

Order returned entities by the specified field and direction ([ASC] or [DESC]). For example, ?order_by=id[ASC].

Valid fields for ordering: id.

statusarray
Return entities that match the specified status. Use a comma-separated list to specify multiple status values.
Values
  • pending
    Return reports where the status is pending. Returned reports are created, but Paddle is processing them.
  • ready
    Return reports where the status is ready. Returned reports are fully processed and are ready for download.
  • failed
    Return reports where the status is failed. Returned reports encountered problems in processing.
  • expired
    Return reports where the status is expired. Returned reports are no longer accessible.

Response (200)

dataarrayrequired
Adjustments reports
Entity when working with reports for adjustments or adjustment line items.
idstringrequired
Example: txnitm_01gm302t81w94gyjpjpqypkzkf
Unique Paddle ID for this report, prefixed with rep_
Pattern: ^[a-z]{3,10}_[a-z\d]{26}$
statusstringrequired
Default: pending

Status of this report. Set automatically by Paddle.

Reports are created as pending initially, then move to ready when they're available to download.

Values
  • pending
    Report created, but Paddle is processing it. It's not yet ready for download.
  • ready
    Report fully processed by Paddle and ready for download.
  • failed
    There was a problem processing this report.
  • expired
    Report has expired and is no longer accessible.
rowsinteger | nullrequired
Number of records in this report. null if the report is pending.
expires_atstring (date-time) | nullrequired
Example: 2024-10-12T07:20:50.52Z
RFC 3339 datetime string.
updated_atstring (date-time)required
Example: 2024-10-13T07:20:50.52Z
RFC 3339 datetime string of when this report was last updated.
created_atstring (date-time)required
Example: 2024-10-12T07:20:50.52Z
RFC 3339 datetime string of when this report was created.
typestringrequired
Example: adjustments
Type of report to create.
Values
  • adjustments
    Adjustments reports contain information about refunds, credits, and chargebacks.
  • adjustment_line_items
    Adjustments reports contain information about refunds, credits, and chargebacks. The report is broken down by line item level.
filtersarrayrequired
Filter criteria for this report. If omitted, reports are filtered to include data updated in the last 30 days. This means updated_at is greater than or equal to (gte) the date 30 days ago from the time the report was generated.
Items: max 10
namestringrequired
Field name to filter by.
Values
  • action
    Filter by adjustment action. Pass an array of strings containing any valid value for the action field against an adjustment.
  • currency_code
    Filter by transaction or adjustment currency. Pass an array of strings containing any valid supported three-letter ISO 4217 currency code.
  • status
    Filter by transaction or adjustment status. Pass an array of strings containing any valid value for the status field against a transaction or an adjustment.
  • updated_at
    Filter by transaction or adjustment updated date. Pass an RFC 3339 datetime string.
operatorstring | nullrequired
Example: lt
Operator to use when filtering.
Values
  • lt
    Less than.
  • gte
    Greater than or equal to.
valuerequired
Value to filter by. Check the allowed values descriptions for the name field to see valid values for a field.
Array of string
Array of AdjustmentAction
Timestamp
RFC 3339 datetime string.
string (date)
Transactions reports
Entity when working with reports for transaction or transaction line items.
idstringrequired
Example: txnitm_01gm302t81w94gyjpjpqypkzkf
Unique Paddle ID for this report, prefixed with rep_
Pattern: ^[a-z]{3,10}_[a-z\d]{26}$
statusstringrequired
Default: pending

Status of this report. Set automatically by Paddle.

Reports are created as pending initially, then move to ready when they're available to download.

Values
  • pending
    Report created, but Paddle is processing it. It's not yet ready for download.
  • ready
    Report fully processed by Paddle and ready for download.
  • failed
    There was a problem processing this report.
  • expired
    Report has expired and is no longer accessible.
rowsinteger | nullrequired
Number of records in this report. null if the report is pending.
expires_atstring (date-time) | nullrequired
Example: 2024-10-12T07:20:50.52Z
RFC 3339 datetime string.
updated_atstring (date-time)required
Example: 2024-10-13T07:20:50.52Z
RFC 3339 datetime string of when this report was last updated.
created_atstring (date-time)required
Example: 2024-10-12T07:20:50.52Z
RFC 3339 datetime string of when this report was created.
typestringrequired
Example: transactions
Type of report to create.
Values
  • transactions
    Transactions reports contain information about revenue received, past due invoices, draft and issued invoices, and canceled transactions.
  • transaction_line_items
    Transactions reports contain information about revenue received, past due invoices, draft and issued invoices, and canceled transactions. The report is broken down by line item level.
filtersarrayrequired
Filter criteria for this report. If omitted, reports are filtered to include data updated in the last 30 days. This means updated_at is greater than or equal to (gte) the date 30 days ago from the time the report was generated.
Items: max 10
namestringrequired
Field name to filter by.
Values
  • collection_mode
    Filter by collection mode. Pass an array of strings containing any valid value for the collection_mode field against a transaction.
  • currency_code
    Filter by transaction or adjustment currency. Pass an array of strings containing any valid supported three-letter ISO 4217 currency code.
  • origin
    Filter by transaction origin. Pass an array of strings containing any valid value for the origin field against a transaction.
  • status
    Filter by transaction or adjustment status. Pass an array of strings containing any valid value for the status field against a transaction or an adjustment.
  • updated_at
    Filter by transaction or adjustment updated date. Pass an RFC 3339 datetime string.
operatorstring | nullrequired
Example: lt
Operator to use when filtering.
Values
  • lt
    Less than.
  • gte
    Greater than or equal to.
valuerequired
Value to filter by. Check the allowed values descriptions for the name field to see valid values for a field.
Array of string
string
Products and prices report
Entity when working with a products and prices report.
idstringrequired
Example: txnitm_01gm302t81w94gyjpjpqypkzkf
Unique Paddle ID for this report, prefixed with rep_
Pattern: ^[a-z]{3,10}_[a-z\d]{26}$
statusstringrequired
Default: pending

Status of this report. Set automatically by Paddle.

Reports are created as pending initially, then move to ready when they're available to download.

Values
  • pending
    Report created, but Paddle is processing it. It's not yet ready for download.
  • ready
    Report fully processed by Paddle and ready for download.
  • failed
    There was a problem processing this report.
  • expired
    Report has expired and is no longer accessible.
rowsinteger | nullrequired
Number of records in this report. null if the report is pending.
expires_atstring (date-time) | nullrequired
Example: 2024-10-12T07:20:50.52Z
RFC 3339 datetime string.
updated_atstring (date-time)required
Example: 2024-10-13T07:20:50.52Z
RFC 3339 datetime string of when this report was last updated.
created_atstring (date-time)required
Example: 2024-10-12T07:20:50.52Z
RFC 3339 datetime string of when this report was created.
typestringrequired
Example: products_prices
Type of report to create.
Values
  • products_prices
    Products and prices reports contain information about your products and prices. May include non-catalog products and prices.
filtersarrayrequired
Filter criteria for this report. If omitted, reports are filtered to include data updated in the last 30 days. This means product_updated_at and price_updated_at are greater than or equal to (gte) the date 30 days ago from the time the report was generated.
Items: max 10
namestringrequired
Field name to filter by.
Values
  • product_status
    Filter by product status. Pass an array of strings containing any valid value for the status field against a product.
  • price_status
    Filter by price status. Pass an array of strings containing any valid value for the status field against a price.
  • product_type
    Filter by product type. Pass an array of strings containing any valid value for the type field against a product.
  • price_type
    Filter by price type. Pass an array of strings containing any valid value for the type field against a price.
  • product_updated_at
    Filter by product updated_at date. Pass an RFC 3339 datetime string.
+ Show all values
  • price_updated_at
    Filter by price updated_at date. Pass an RFC 3339 datetime string.
operatorstring | nullrequired
Example: lt
Operator to use when filtering.
Values
  • lt
    Less than.
  • gte
    Greater than or equal to.
valuerequired
Value to filter by.
Array of string
string
Discounts report
Entity when working with a discounts report.
idstringrequired
Example: txnitm_01gm302t81w94gyjpjpqypkzkf
Unique Paddle ID for this report, prefixed with rep_
Pattern: ^[a-z]{3,10}_[a-z\d]{26}$
statusstringrequired
Default: pending

Status of this report. Set automatically by Paddle.

Reports are created as pending initially, then move to ready when they're available to download.

Values
  • pending
    Report created, but Paddle is processing it. It's not yet ready for download.
  • ready
    Report fully processed by Paddle and ready for download.
  • failed
    There was a problem processing this report.
  • expired
    Report has expired and is no longer accessible.
rowsinteger | nullrequired
Number of records in this report. null if the report is pending.
expires_atstring (date-time) | nullrequired
Example: 2024-10-12T07:20:50.52Z
RFC 3339 datetime string.
updated_atstring (date-time)required
Example: 2024-10-13T07:20:50.52Z
RFC 3339 datetime string of when this report was last updated.
created_atstring (date-time)required
Example: 2024-10-12T07:20:50.52Z
RFC 3339 datetime string of when this report was created.
typestringrequired
Example: discounts
Type of report to create.
Values
  • discounts
    Discounts reports contain information about your product and checkout discounts.
filtersarrayrequired
Filter criteria for this report. If omitted, reports are filtered to include data updated in the last 30 days. This means updated_at is greater than or equal to (gte) the date 30 days ago from the time the report was generated.
Items: max 10
namestringrequired
Field name to filter by.
Values
  • type
    Filter by discount type. Pass an array of strings containing any valid value for the type field against a discount.
  • status
    Filter by discount status. Pass an array of strings containing any valid value for the status field against a discount.
  • updated_at
    Filter by discount updated date. Pass an RFC 3339 datetime string.
operatorstring | nullrequired
Example: lt
Operator to use when filtering.
Values
  • lt
    Less than.
  • gte
    Greater than or equal to.
valuerequired
Value to filter by. Check the allowed values descriptions for the name field to see valid values for a field.
Array of string
string
Balance report
Entity when working with a balance report. Deprecated.
idstringrequired
Example: txnitm_01gm302t81w94gyjpjpqypkzkf
Unique Paddle ID for this report, prefixed with rep_
Pattern: ^[a-z]{3,10}_[a-z\d]{26}$
statusstringrequired
Default: pending

Status of this report. Set automatically by Paddle.

Reports are created as pending initially, then move to ready when they're available to download.

Values
  • pending
    Report created, but Paddle is processing it. It's not yet ready for download.
  • ready
    Report fully processed by Paddle and ready for download.
  • failed
    There was a problem processing this report.
  • expired
    Report has expired and is no longer accessible.
rowsinteger | nullrequired
Number of records in this report. null if the report is pending.
expires_atstring (date-time) | nullrequired
Example: 2024-10-12T07:20:50.52Z
RFC 3339 datetime string.
updated_atstring (date-time)required
Example: 2024-10-13T07:20:50.52Z
RFC 3339 datetime string of when this report was last updated.
created_atstring (date-time)required
Example: 2024-10-12T07:20:50.52Z
RFC 3339 datetime string of when this report was created.
typestringrequireddeprecated
Example: balance
Type of report to create.
Values
  • balance
    Balance reports contain information about your account balance activity, including all movements of funds in and out of your balance. Deprecated.
filtersarrayrequired
Filter criteria for this report. If omitted, reports are filtered to include data updated in the last 30 days. This means updated_at is greater than or equal to (gte) the date 30 days ago from the time the report was generated.
Items: max 10
namestringrequired
Field name to filter by.
Values
  • updated_at
    Filter by balance change updated date. Pass an RFC 3339 datetime string.
operatorstring | nullrequired
Example: lt
Operator to use when filtering.
Values
  • lt
    Less than.
  • gte
    Greater than or equal to.
valuerequired
Value to filter by. Check the allowed values descriptions for the name field to see valid values for a field.
Array of string
string
Payout reconciliation report
Entity when working with a reconciliation report.
idstringrequired
Example: txnitm_01gm302t81w94gyjpjpqypkzkf
Unique Paddle ID for this report, prefixed with rep_
Pattern: ^[a-z]{3,10}_[a-z\d]{26}$
statusstringrequired
Default: pending

Status of this report. Set automatically by Paddle.

Reports are created as pending initially, then move to ready when they're available to download.

Values
  • pending
    Report created, but Paddle is processing it. It's not yet ready for download.
  • ready
    Report fully processed by Paddle and ready for download.
  • failed
    There was a problem processing this report.
  • expired
    Report has expired and is no longer accessible.
rowsinteger | nullrequired
Number of records in this report. null if the report is pending.
expires_atstring (date-time) | nullrequired
Example: 2024-10-12T07:20:50.52Z
RFC 3339 datetime string.
updated_atstring (date-time)required
Example: 2024-10-13T07:20:50.52Z
RFC 3339 datetime string of when this report was last updated.
created_atstring (date-time)required
Example: 2024-10-12T07:20:50.52Z
RFC 3339 datetime string of when this report was created.
typestringrequired
Example: payout_reconciliation
Type of report to create.
Values
  • payout_reconciliation
    Payout reconciliation reports contain information about your payout activity, including all transactions and adjustments that make up specific payouts.
filtersarrayrequired
Filter criteria for this report. If omitted, reports are filtered to include data updated in the last 30 days. This means transaction_updated_at is greater than or equal to (gte) the date 30 days ago from the time the report was generated.
Items: max 10
namestringrequired
Field name to filter by.
Values
  • remittance_reference
    Filter by remittance reference. Pass an array with one string containing a remittance reference.
  • transaction_updated_at
    Filter by transaction updated date. Pass an RFC 3339 datetime string.
operatorstring | nullrequired
Example: lt
Operator to use when filtering.
Values
  • lt
    Less than.
  • gte
    Greater than or equal to.
valuearrayrequired
Value to filter by. Check the allowed values descriptions for the name field to see valid values for a field.
metaobjectrequired
Information about this response.
request_idstringrequired
Example: b15ec92e-8688-40d4-a04d-f44cbec93355
Unique ID for the request relating to this response. Provide this when contacting Paddle support about a specific request.
paginationobjectrequired
Keys used for working with paginated results.
per_pageintegerrequired
Number of entities per page for this response. May differ from the number requested if the requested number is greater than the maximum.
nextstring (uri)required
URL containing the query parameters of the original request, along with the after parameter that marks the starting point of the next page. Always returned, even if has_more is false.
has_morebooleanrequired
Whether this response has another page.
estimated_totalinteger
Example: 999
Estimated number of entities for this response.
Response
{
"data": [
{
"id": "rep_01hvgdpayq6kjzyk4hz5m02cpn",
"type": "adjustments",
"rows": 8,
"status": "ready",
"filters": [
{
"name": "updated_at",
"value": "2024-04-15",
"operator": "lt"
},
{
"name": "updated_at",
"value": "2024-01-01",
"operator": "gte"
},
{
"name": "status",
"value": [
"pending_approval",
"approved"
],
"operator": null
},
{
"name": "action",
"value": [
"refund",
"chargeback"
],
"operator": null
}
],
"expires_at": "2024-04-29T08:24:13.042686Z",
"created_at": "2024-04-15T08:24:03.799Z",
"updated_at": "2024-04-15T08:24:13.042692Z"
},
{
"id": "rep_01hvgdn6hg6wkh5nnr0e4nn1c0",
"type": "transaction_line_items",
"rows": 771,
"status": "ready",
"filters": [
{
"name": "updated_at",
"value": "2024-04-15",
"operator": "lt"
},
{
"name": "updated_at",
"value": "2024-04-09",
"operator": "gte"
}
],
"expires_at": "2024-04-29T08:23:40.529936Z",
"created_at": "2024-04-15T08:23:26.512Z",
"updated_at": "2024-04-15T08:23:40.529941Z"
},
{
"id": "rep_01hvgdhtthn1q35n79dgeqm3pv",
"type": "transactions",
"rows": 27,
"status": "ready",
"filters": [
{
"name": "collection_mode",
"value": [
"manual"
],
"operator": null
},
{
"name": "updated_at",
"value": "2024-04-15",
"operator": "lt"
},
{
"name": "updated_at",
"value": "2024-01-01",
"operator": "gte"
}
],
"expires_at": "2024-04-29T08:21:44.970769Z",
"created_at": "2024-04-15T08:21:36.209Z",
"updated_at": "2024-04-15T08:21:44.970774Z"
},
{
"id": "rep_01hqbc372ban0at6z6ysh7hcht",
"type": "discounts",
"rows": 3,
"status": "expired",
"filters": [
{
"name": "updated_at",
"value": "2024-01-23T16:17:09Z",
"operator": "gte"
}
],
"expires_at": "2024-03-08T16:17:13.592102Z",
"created_at": "2024-02-23T16:17:09.195Z",
"updated_at": "2024-02-23T16:17:13.592106Z"
},
{
"id": "rep_01hqbc2ra43dhda5dfysc9z3m8",
"type": "products_prices",
"rows": 3,
"status": "expired",
"filters": [
{
"name": "product_updated_at",
"value": [
"2024-01-23T16:16:54Z"
],
"operator": "gte"
},
{
"name": "price_updated_at",
"value": [
"2024-01-23T16:16:54Z"
],
"operator": "gte"
}
],
"expires_at": "2024-03-08T16:16:57.93002Z",
"created_at": "2024-02-23T16:16:54.084Z",
"updated_at": "2024-02-23T16:16:57.930024Z"
}
],
"meta": {
"request_id": "b1a05cb6-c072-4a5f-914b-1a275392196c",
"pagination": {
"per_page": 50,
"next": "https://api.paddle.com/reports?after=rep_01hqbc2ra43dhda5dfysc9z3m8",
"has_more": false,
"estimated_total": 5
}
}
}

Was this page helpful?